/* 
 *    input_v4l.h
 *
 *	Copyright (C) Vivien Chappelier - 2000
 *
 *  This file is part of fame, a free MPEG encoder.
 *	
 *  fame is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *   
 *  fame is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *   
 *  You should have received a copy of the GNU General Public License
 *  along with GNU Make; see the file COPYING.  If not, write to
 *  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 */

#ifndef _INPUT_V4L_H
#define _INPUT_V4L_H

#include <sys/types.h>
#include <linux/videodev.h>
#include "bgrab.h"

typedef struct _input_v4l_context_t_ {
  struct fgdevice fg; 
} input_v4l_context_t;

input_v4l_context_t *v4l_init(int width, int height);
int v4l_read(input_v4l_context_t *context, void *buffer, int size);
void v4l_close(input_v4l_context_t *context);

extern char video_device[];

#endif
